package tr.gov.titck.recete.encryptor.Utils;







public final class Hex
{
  private Hex() {}
  






  public static String encode(byte[] data)
  {
    StringBuilder sb = new StringBuilder();
    for (int i = 0; i < data.length; i++)
    {
      int low = data[i] & 0xF;
      int high = data[i] >> 4 & 0xF;
      sb.append(Character.forDigit(high, 16));
      sb.append(Character.forDigit(low, 16));
    }
    return sb.toString();
  }
}
